Package com.tibco.patterns.deduplication

## Class SearcherInfo

- java.lang.Object
- - com.tibco.patterns.deduplication.SearcherInfo

-     public class SearcherInfo
      extends java.lang.Object

  Provides information about a deduplication search worker.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getHostName()` | Get the address of the host the worker performs queries on.
    `int` | `getHostPort()` | Get the port of the host the worker performs queries on.
    `int` | `getId()` | Get the numeric id of the deduplication search worker.
    `SearcherStatus` | `getStatus()` | Get the status of the deduplication search worker.
    `boolean` | `isEncrypted()` | Checks if network communications to the host are encrypted with SSL/TLS.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getStatus

          public SearcherStatus getStatus()

      Get the status of the deduplication search worker.
      Returns:
        the status of the deduplication search worker.

    - #### getHostName

          public java.lang.String getHostName()

      Get the address of the host the worker performs queries on.
      Returns:
        the address of the host the worker performs queries on.

    - #### getHostPort

          public int getHostPort()

      Get the port of the host the worker performs queries on.
      Returns:
        the port of the host the worker performs queries on.

    - #### isEncrypted

          public boolean isEncrypted()

      Checks if network communications to the host are encrypted with SSL/TLS.
      Returns:
        true if encryption is enabled.

    - #### getId

          public int getId()

      Get the numeric id of the deduplication search worker.
      Returns:
        the numeric id of the deduplication search worker.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`